<form (ngSubmit)="onSubmitSearch(searchForm)" [ngClass]="{'was-validated':validation}" class="needs-validation"
  #searchForm="ngForm">
  <div class="row vstack g-3">
    <div class="col-auto form-floating mb-3">
      <input type="text" [(ngModel)]="modelLabel" name="label" class="form-control" id="search-label">
      <label for="search-label">Recherche</label>
      <div class="form-check form-check-inline">
        <input [(ngModel)]="modelSelectTitle" [ngClass]="{'bg-info':searchTitle.value}" name="title"
          class="form-check-input" type="checkbox" id="search-title" #searchTitle="ngModel">
        <label class="form-check-label" for="search-title">
          Dans le titre
        </label>
      </div>
      <div class="form-check form-check-inline">
        <input [(ngModel)]="modelSelectText" [ngClass]="{'bg-info':searchText.value}" name="text"
          class="form-check-input" type="checkbox" id="search-text" #searchText="ngModel">
        <label class="form-check-label" for="search-text">
          Dans le texte
        </label>
      </div>
    </div>
    <div class="col-auto form-floating mb-3">
      <select [(ngModel)]="modelSearch.category" name="category" class="col-auto form-select" id="search-cat">
        <option [ngValue]="undefined" selected>Tout</option>
        <option *ngFor="let category of lstCategories" [ngValue]="category">{{category.label}}</option>
      </select>
      <label for="search-cat">Categorie</label>
    </div>
    <div class="col-auto form-floating mb-3">
      <input type="date" [(ngModel)]="modelSearch.startDate" (change)="checkEndDate()" name="start-date"
        class="form-control" id="search-start-date" [max]="maxDate">
      <label for="search-start-date">Date de début</label>
    </div>
    <div class="col-auto form-floating mb-3">
      <input type="date" [(ngModel)]="modelSearch.endDate" (change)="checkStartDate()" name="end-date"
        class="form-control" id="search-end-date" [max]="maxDate">
      <label for="search-end-date">Date de fin</label>
    </div>
  </div>
  <div class="col-12 d-flex justify-content-center justify-content-md-end">
    <button class="btn btn-info" type="submit">Rechercher</button>
  </div>
</form>